How to make sure I have Python last version installed?

I’m having an issue installing Dropbox SDK on the Yun as reported on this post

I haven’t get any help till now and threfore I’m guessing what could be wrong (I have no Linux/Python knowledge) and one idea is that maybe the Python version is outdated but I don’t know how to check which version I have installed or better yet how to make sure I will install the last version.

Anyone can help?

In my view the couple Yun & Dropbox is a killer one and should be easy to have it working.